Package be.fgov.ehealth.rn.baselegaldata.v1

# Class ResidentialAddressType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.ResidentialAddressOptionalInceptionDateType
be.fgov.ehealth.rn.baselegaldata.v1.ResidentialAddressType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class ResidentialAddressType extends ResidentialAddressOptionalInceptionDateType implements Serializable

Java class for ResidentialAddressType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ResidentialAddressType">
       <complexContent>
         <restriction base="{urn:be:fgov:ehealth:rn:baselegaldata:v1}ResidentialAddressOptionalInceptionDateType">
           <sequence>
             <group ref="{urn:be:fgov:ehealth:rn:baselegaldata:v1}MinimalResidentialAddressFragment"/>
             <element name="InceptionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResidentialAddressType()`

- ## Method Summary

  ### Methods inherited from class be.fgov.ehealth.rn.baselegaldata.v1.ResidentialAddressOptionalInceptionDateType

  `getAddressRegionalCode, getBoxNumber, getCityCode, getCityNames, getCityRegionalCode, getCountryCode, getCountryIsoCode, getCountryNames, getHouseNumber, getInceptionDate, getPostalCode, getRegionCode, getRegionNames, getStreetCode, getStreetNames, getStreetRegionalCode, setAddressRegionalCode, setBoxNumber, setCityCode, setCityRegionalCode, setCountryCode, setCountryIsoCode, setHouseNumber, setInceptionDate, setPostalCode, setRegionCode, setStreetCode, setStreetRegionalCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResidentialAddressType

    public ResidentialAddressType()